extends Scene


func _on_fishermans_shack_interacted() -> void:
	$kq4_007_fishermans_shack.default_script(self)


func _on_coastal_cliffs_interacted() -> void:
	$kq4_019_coastal_cliffs.default_script(self)


func _on_green_meadow_interacted() -> void:
	$kq4_014_green_meadow.default_script(self)


func _on_open_ocean_interacted() -> void:
	$kq4_031_open_ocean.default_script(self)


func _on_dock_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see a shabby little house, with a pier, in the distance.")
	).build(self, "_on_script_complete"))


func _on_cottage_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see a shabby little house, with a pier, in the distance.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You stand on a beautiful beach.")
	).build(self, "_on_script_complete"))
